Index Error: list index out of range

A nice (keyboard based) front end for Arcade / Console game emulators.

Moderator: battlecat

Index Error: list index out of range

Postby rvacs » Wed Feb 27, 2008 2:29 pm

Hello All,
I acquired a Bartop Mame and it had Wah!Cade .23 installed.
The guy sent it with no roms (understandably)...so I went in to add roms
and went in to GENERATE and everything seemed ok. But then when I ran it I got the error below when launching Wah!Cade. I even backed it down to 1 rom to see if there was a bad rom...still same error. I even used a rom from an OLD version of mame - still same error.

Any ideas? I did see .23 had a fluke with displaying LAST PLAYED which is what my interface is stuck on. If I upgrade my version can I just overwrite the files to upgrade it to the latest version?

Here is the complete error:

Wah!Cade .23
Bug Detected
Error

Traceback (most recent call last):
File "wahcade.py", line 72 in <module> app=WinMain(options)
File "/home/balki/projects/wahcade/debian/wahcade/usr/share/games/wahcade/win_main.py", line 272, in_init_self.load_emulator ()
File "/home/balki/projects/wahcade/debian/wahcade/usr/share/games/wahcade/win_main.py", line 824, in load_emulator self.loadlist()
File "/home/balki/projects/wahcade/debian/wahcade/usr/share/games/wahcade/win_main.py", line 874, in load_list self pop_games_list
File "/home/balki/projects/wahcade/debian/wahcade/usr/share/games/wahcade/win_main.py", line 1148, in pop_games_list self.on.sclgames changed ()
File "/home/balki/projects/wahcade/debian/wahcade/usr/share/games/wahcade/win_main.py", line 533, in on_sclgames_changed
game info=filters.get_game_dict(self.lsGames[self.sclgames.get_selected()])
Index Error: list index out of range
rvacs
 
Posts: 3
Joined: Wed Feb 27, 2008 2:16 pm

Postby balki » Wed Feb 27, 2008 8:58 pm

Hi,

I think this bug was fixed in 0.24, so upgrading to the latest version should sort you out. Let me know if it doesn't.

Cheers,
Andy
User avatar
balki
Site Admin
 
Posts: 425
Joined: Thu Jan 01, 1970 1:00 am
Location: Huddersfield, UK

Upgrade as easy as copying over files?

Postby rvacs » Wed Feb 27, 2008 10:02 pm

Sorry...I am so new to this....

After I untar the files and file structure can I just overwrite the existing files with those that I just untarred?

I am VERY new to this environment and want to make sure I upgrade the correct way.

Thanks,
Rich
:)
rvacs
 
Posts: 3
Joined: Wed Feb 27, 2008 2:16 pm

Postby balki » Thu Feb 28, 2008 9:50 am

Hi,

Do you know which OS or Linux distribution you are using?
If it's Ubuntu or Debian then you should upgrade using the deb package link. If you're using Fedora, then use the rpm , otherwise download the tarball and overwrite the existing files.

Cheers,
Andy
User avatar
balki
Site Admin
 
Posts: 425
Joined: Thu Jan 01, 1970 1:00 am
Location: Huddersfield, UK

Thanks its Ubuntu

Postby rvacs » Thu Feb 28, 2008 9:42 pm

Thanks its Ubuntu so I will try the deb package...
I really really appreciate the help...

:oops:
rvacs
 
Posts: 3
Joined: Wed Feb 27, 2008 2:16 pm


Return to Wah!Cade

Who is online

Users browsing this forum: No registered users and 4 guests

cron